発注一覧取得
GET
/purchase_orders
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/purchase_orders?fields=storageInfoId%2CrecipientOrderId&sort=storageInfoId&limit=10&page=2&recipient_order_id=2&ordered_date=2025-01-01&status=2';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/purchase_orders?fields=storageInfoId%2CrecipientOrderId&sort=storageInfoId&limit=10&page=2&recipient_order_id=2&ordered_date=2025-01-01&status=2'発注情報一覧を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
storageInfoId,recipientOrderIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- storageInfoId:発注ID
- recipientOrderId:発注先ID:発注先となる仕入先ID
- orderedDate:発注日:YYYY-MM-DD形式
- status:ステータス(2:発注済、3:入荷検品中、4:入荷完了、5:仮発注)
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
storageInfoIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2recipient_order_id
string
発注先ID:発注先となる仕入先ID
Example
2ordered_date
string
発注日:YYYY-MM-DD形式
Example
2025-01-01status
string
ステータス(2:発注済、3:入荷検品中、4:入荷完了、5:仮発注)
Example
2Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
storageInfoId
発注ID
string
recipientOrderId
発注先ID:発注先となる仕入先ID
string
orderSourceStoreId
発注元店舗ID:発注元となる店舗ID
string
orderStaffName
発注担当者:発注の担当者名
string
divisionUnit
分割単位:0:なし、1:部門グループ、2:仕入先
string
categoryGroupId
部門グループID:nullの時は全部門グループ
string
orderedDate
発注日:YYYY-MM-DD形式
string
memo
メモ
string
identificationNo
識別番号:発注情報を管理するための任意の文字列を設定出来る項目。
string
roundingDivision
税丸め(0:四捨五入、1:切り捨て、2:切り上げ)
string
status
ステータス(2:発注済、3:入荷検品中、4:入荷完了、5:仮発注)
string
staffId
スタッフID:発注処理時のスタッフID
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "storageInfoId": "1", "recipientOrderId": "2", "orderSourceStoreId": "3", "orderStaffName": "須磨 礼司", "divisionUnit": "2", "categoryGroupId": null, "orderedDate": "2025-01-01", "memo": "発注メモ", "identificationNo": "123456789", "roundingDivision": "1", "status": "2", "staffId": "1", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00" }]